import { ViewportHighlight } from '../types';
export interface AreaHighlightProps {
    highlight: ViewportHighlight;
    isScrolledTo?: boolean;
    bounds?: string | Element;
    onContextMenu?(event: MouseEvent): void;
    style?: object;
}
/**
 * Show an area highlight.
 */
export declare class AreaHighlight {
    private highlight;
    private isScrolledTo?;
    private onContextMenu?;
    private style?;
    constructor(props: AreaHighlightProps);
    handleClick(event: Event, highlight: ViewportHighlight): void;
    draw(): HTMLDivElement;
}
